package com.facebook;

import ඓ.K.K.K.C1293;

public class FacebookDialogException extends FacebookException {
    public static final long serialVersionUID = 1;
    public int errorCode;
    public String failingUrl;

    public FacebookDialogException(String str, int i, String str2) {
        super(str);
        this.errorCode = i;
        this.failingUrl = str2;
    }

    public int getErrorCode() {
        return this.errorCode;
    }

    public String getFailingUrl() {
        return this.failingUrl;
    }

    @Override // com.facebook.FacebookException
    public final String toString() {
        StringBuilder r0 = C1293.m3402("{FacebookDialogException: ", "errorCode: ");
        r0.append(getErrorCode());
        r0.append(", message: ");
        r0.append(getMessage());
        r0.append(", url: ");
        r0.append(getFailingUrl());
        r0.append("}");
        return r0.toString();
    }
}
